# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      db.py
# Author:       liulei
# Datetime:     2024/7/15 9:04
# Description:
# 
# ---------------------------------------------------------------------------

import pymysql

from APIAutoTest_V2_1.commen.read_ini import ReadIni


class DB:
    def __init__(self):
        ini = ReadIni()
        try:
            self.conn = pymysql.connect(
                host=ini.get_database_connect_msg("host"),
                port=int(ini.get_database_connect_msg("port")),
                user=ini.get_database_connect_msg("user"),
                password=ini.get_database_connect_msg("pwd"),
                database=ini.get_database_connect_msg("database"),
                charset="utf8"
            )
        except Exception as e:
            print("连接数据库出现错误")
            raise e
        else:
            # 建立游标对象
            self.cur = self.conn.cursor()

    def close(self):
        # 关闭游标对象
        self.cur.close()
        # 关闭数据库连接
        self.conn.close()

    def delete(self, sql_sentence):
        """执行删除的sql语句"""
        try:
            self.cur.execute(sql_sentence)
        except Exception as e:
            print("执行删除语句时出现错误")
            raise e
        else:
            self.conn.commit()

    def select(self, sql_sentence):
        """执行查询的sql语句"""
        try:
            self.cur.execute(sql_sentence)
        except Exception as e:
            print("执行查询的sql语句时出现错误")
            raise e
        else:
            result = self.cur.fetchall()
            if result:
                return result[0][0]