# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      read_ini.py
# Author:       liulei
# Datetime:     2024/7/13 20:19
# Description:
# 
# ---------------------------------------------------------------------------

import configparser
import os


class ReadIni:
    def __init__(self):
        # 获取配置文件的路径
        self.config_path = os.path.dirname(os.path.dirname(__file__)) + r"\data_config\\"
        # 创建configparser对象
        self.conf = configparser.ConfigParser()
        self.conf.read(self.config_path + r"\config.ini", encoding='utf-8')

    def get_file(self, key):
        """根据key获取文件的路径"""
        try:
            path = self.config_path + self.conf.get("file", key)
        except Exception as e:
            print("获取文件的路径时出现错误，错误为：")
            raise e
        else:
            return path

    def get_url(self, key):
        """根据key获取被测系统的域名"""
        try:
            host = self.conf.get("host", key)
        except Exception as e:
            print("获取被测系统域名时出现错误，错误为：")
            raise e
        else:
            return host

    def get_table(self, key):
        """根据key获取excel的工作表"""
        try:
            table = self.conf.get("table_name", key)
        except Exception as e:
            print("获取工作表名称时出现错误，错误为：")
            raise e
        else:
            return table

    def get_database_connect_msg(self, key):
        """根据key获取数据库的连接信息"""
        try:
            msg = self.conf.get("sql", key)
        except Exception as e:
            print("获取数据库连接信息时出现错误，错误为：")
            raise e
        else:
            return msg

if __name__ == "__main__":
    RI = ReadIni()


