# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      request_method.py
# Author:       liulei
# Datetime:     2024/7/15 9:23
# Description:
# 
# ---------------------------------------------------------------------------
import requests

from APIAutoTest_V2_1.commen.read_ini import ReadIni


class RequestMethod:
    def __init__(self):
        """关联登录成功状态的token"""
        ini = ReadIni()
        login_data = {"username": "admin", "password": "F4/DVgPS/NEruLxVVRqHktsb1R2fVpw81t5VuGfFjwp0G7U4k6spHPr/ejPlw8XxIVilJ+SyIH0G5FbQStFEd/94mmI7+2Dw2c7MXXIERYKjd3XNe4gZR4ANJclCJHNGfE+mtnX5voprYwEo9m6ponCdmmXTMx9cWVEJ4K/nbR8="}
        login_url = ini.get_url("test_host") + "/auth"
        # 创建session对象
        self.session = requests.sessions.Session()
        token = self.session.request(method="post", url=login_url, json=login_data).json().get("token")
        self.session.headers["Authorization"] = "Bearer " + token

    def request_all(self, req_method, req_url, req_mime, case_data):
        """根据媒体类型的不同，来决定请求方式"""
        req_mime = req_mime.lower()
        if req_mime == "application/json" or req_mime == "json":
           return self.session.request(method=req_method, url=req_url, json=case_data)

        elif req_mime == "application/x-www-form-urlencoded" or req_mime == "x-www-form-urlencoded":
           return self.session.request(method=req_method, url=req_url, data=case_data)

        elif req_mime == "multipart/form-data" or req_mime == "form-data":
           return self.session.request(method=req_method, url=req_url, files=case_data)

        elif req_mime == "query" or req_mime == "params":
           return self.session.request(method=req_method, url=req_url, params=case_data)

        elif req_mime is None:
           return self.session.request(method=req_method, url=req_url)

        else:
            raise ValueError("传入的参数错误")