# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      read_ini.py
# Author:       liulei
# Datetime:     2024/7/15 12:30
# Description:
# 
# ---------------------------------------------------------------------------
import pymysql

from test_project.mine.APIAutoTest_V2_2.commen.read_ini import ReadIni


class DB:
    def __init__(self):
        """连接数据库"""
        ini = ReadIni()
        self.conn = pymysql.connect(
            host=ini.get_database_msg("host"),
            port=int(ini.get_database_msg("port")),
            user=ini.get_database_msg("user"),
            password=ini.get_database_msg("pwd"),
            database=ini.get_database_msg("database"),
            charset="utf8"
        )
        # 创建游标对象
        self.cur = self.conn.cursor()

    def close(self):
        """关闭数据库的方法"""
        self.cur.close()
        self.conn.close()

    def delete(self, sql_sentence):
        """删除语句"""
        try:
            self.cur.execute(sql_sentence)
        except:
            raise Exception("在执行数据库的删除时，给入的语句有误")
        else:
            self.conn.commit()

    def select(self, sql_sentence):
        """查询语句"""
        try:
            self.cur.execute(sql_sentence)
        except:
            raise Exception("在执行数据库的查询操作时，给入的语句有误")
        else:
            data = self.cur.fetchall()
            return data


