# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      read_ini.py
# Author:       liulei
# Datetime:     2024/7/15 12:30
# Description:
# 
# ---------------------------------------------------------------------------
import configparser
import os.path


class ReadIni:
    def __init__(self):
        """获取ini文件路径"""
        self.path = os.path.dirname(os.path.dirname(__file__)) + "\data_config\\"
        ini_path = self.path + r"config.ini"
        # 创建读取对象
        self.con = configparser.ConfigParser()
        # 读取ini文件
        self.con.read(ini_path, encoding="utf-8")

    def get_file(self, key):
        """根据key返回文件的绝对路径"""
        try:
            file_name = self.con.get("file", key)
        except Exception as e:
            print("获取文件的名称时出现错误：")
            raise e
        else:
            return self.path + file_name

    def get_host(self, key):
        """根据key返回被测系统的域名"""
        try:
            host = self.con.get("host", key)
        except Exception as e:
            print("获取被测系统域名时出现错误：")
            raise e
        else:
            return host

    def get_table(self, key):
        """根据Key返回工作表名称"""
        try:
            table = self.con.get("table_name", key)
        except Exception as e:
            print("获取工作表名称时出现错误：")
            raise e
        else:
            return table

    def get_database_msg(self, key):
        """根据key返回数据库连接信息"""
        try:
            msg = self.con.get("sql", key)
        except Exception as e:
            print("获取数据库连接信息时出现错误，错误为：")
            raise e
        else:
            return msg

if __name__ == "__main__":
    ri = ReadIni()
    print(ri.get_host("test_host"))
    print(ri.get_file("expect"))
    print(ri.get_database_msg("user"))